Bug 484728 - yum-builddep: TypeError: unsubscriptable object
yum-builddep: TypeError: unsubscriptable object
Status: CLOSED DUPLICATE of bug 491916
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 12:44 EST by Michal Nowak
Modified: 2014-01-21 01:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 17:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sudo yum-builddep gcc-4.1.2-44.el5.src.rpm -v -d255 &> yum-builddep.log (9.65 KB, text/plain)
2009-02-09 12:46 EST, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2009-02-09 12:44:10 EST
Description of problem:

newman@dhcp-lab-198 rebuild-gcc $ sudo yum-builddep gcc-4.1.2-44.el5.src.rpm 
Loaded plugins: rhnplugin
binutils-2.17.50.0.6-9.el5.i386
zlib-devel-1.2.3-3.i386
gettext-0.14.6-4.el5.i386
1:dejagnu-1.4.4-5.1.noarch
bison-2.3-2.1.i386
flex-2.5.4a-41.fc6.i386
texinfo-4.8-14.el5.i386
sharutils-4.6.1-2.i386
libgcj-4.1.2-44.el5.i386
glibc-devel-2.5-34.i386
elfutils-devel-0.137-3.el5.i386
glibc-2.5-34.i686
Importing additional filelist information
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in ?
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 66, in main
    self.get_build_deps()
  File "/usr/bin/yum-builddep", line 131, in get_build_deps
    pkg = self.returnPackageByDep(dep)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 2071, in returnPackageByDep
    pkglist = self.returnPackagesByDep(depstring)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 2061, in returnPackagesByDep
    sack = self.whatProvides(depname, depflags, depver)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 170, in whatProvides
    pkgs = self.pkgSack.searchProvides(name)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 312, in searchProvides
    return self._computeAggregateListResult("searchProvides", name)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 455, in _computeAggregateListResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 983, in searchProvides
    return self.searchPrco(name, "provides")
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 931, in searchPrco
    results.extend(self.searchFiles(name))
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 586, in searchFiles
    self._sql_pkgKey2po(rep, cur, pkgs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 470, in _sql_pkgKey2po
    pkg = self._packageByKey(repo, ob['pkgKey'])
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 413, in _packageByKey
    po = self.pc(repo, cur.fetchone())
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 68, in __init__
    self._read_db_obj(db_obj)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 94, in _read_db_obj
    setattr(self, item, _share_data(db_obj[item]))
TypeError: unsubscriptable object


Version-Release number of selected component (if applicable):

yum-utils-1.1.16-13.el5
yum-3.2.19-18.el5

How reproducible:
always
Comment 1 Michal Nowak 2009-02-09 12:46:33 EST
Created attachment 331339 [details]
sudo yum-builddep gcc-4.1.2-44.el5.src.rpm -v -d255 &> yum-builddep.log
Comment 2 James Antill 2009-02-09 12:54:20 EST
Can you tar up /var/cahce/yum and then ...

does "yum clean all" fix this?

what does "yum repolist -v" say?
Comment 3 Michal Nowak 2009-02-09 13:14:33 EST
The problem is from i386. After the clean all it fails this way:

[root@hp-xw9300-01 rebuild-gcc]# yum-builddep gcc-4.1.2-44.el5.src.rpm 
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
binutils-2.17.50.0.6-9.el5.i386
zlib-devel-1.2.3-3.i386
gettext-0.14.6-4.el5.i386
1:dejagnu-1.4.4-5.1.noarch
bison-2.3-2.1.i386
flex-2.5.4a-41.fc6.i386
texinfo-4.8-14.el5.i386
sharutils-4.6.1-2.i386
libgcj-4.1.2-44.el5.i386
glibc-devel-2.5-34.i386
elfutils-devel-0.137-3.el5.i386
glibc-2.5-34.i686
Importing additional filelist information
glibc-2.5-34.i686
glibc-devel-2.5-34.i386
Error: No Package found for /lib64/libc.so.6



From spec file:

[...]
%define multilib_64_archs sparc64 ppc64 s390x x86_64
[...]
%ifarch %{multilib_64_archs} sparc ppc
# Ensure glibc{,-devel} is installed for both multilib arches
BuildRequires: /lib/libc.so.6 /usr/lib/libc.so /lib64/libc.so.6 /usr/lib64/libc.so
%endif
[...]
`----------------------------------------------^^^^^^^^^^^^^^^^



--
I remember I changed paths in yum.conf from the outdated nightlies to RHEL-5.3, so, I fixed "Server" and "Client" ones and disabled "VT", "Clusted", ... Perhaps this is one of the triggers of the traceback. (+ yum-builddep should honor the '%define'-foo?)

--

Loading "security" plugin
Loading "downloadonly" plugin
Loading "rhnplugin" plugin
Loaded plugins: downloadonly, rhnplugin, security
Running "config" handler for "security" plugin
Running "config" handler for "downloadonly" plugin
Config time: 0.218
Running "init" handler for "rhnplugin" plugin
Looking for repo options for [rhel-i386-server-5]
Repo 'rhel-i386-server-5' setting option 'enabled' = '1'
Looking for repo options for [rhel-i386-server-vt-5]
Looking for repo options for [rhel-i386-server-supplementary-5]
Yum Version: 3.2.19
COMMAND: yum repolist -v 
Installroot: /
Running "postreposetup" handler for "downloadonly" plugin
Repo-id     : base
Repo-name   : RHEL ATRPMS
Repo-status : enabled
Repo-updated: Thu Feb  5 05:45:55 2009
Repo-pkgs   : 1,442
Repo-size   : 1.6 G
Repo-baseurl: file:///mnt/mirror/atrpms/el5-i386/atrpms/stable/

Repo-id     : epel-testing
Repo-name   : Extra Packages for Enterprise Linux 5 - Testing - i386
Repo-status : enabled
Repo-updated: Fri Feb  6 18:26:54 2009
Repo-pkgs   : 227
Repo-size   : 117 M
Repo-baseurl: http://download.fedora.redhat.com/pub/epel/testing/5/i386

Repo-id     : rhel-client
Repo-name   : RHEL-client
Repo-status : enabled
Repo-updated: Tue Jan  6 22:54:40 2009
Repo-pkgs   : 1,609
Repo-size   : 2.8 G
Repo-baseurl: file:///mnt/mirror/rhel/RHEL-5/U3/Client/i386/os/Client

Repo-id     : rhel-client-src
Repo-name   : RHEL-client
Repo-status : enabled
Repo-updated: Mon Jan  5 11:04:50 2009
Repo-pkgs   : 1,179
Repo-size   : 3.0 G
Repo-baseurl: file:///mnt/mirror/rhel/RHEL-5/U3/Client/source/SRPMS

Repo-id     : rhel-i386-server-5
Repo-name   : Red Hat Enterprise Linux (v. 5 for 32-bit x86)
Repo-status : enabled
Repo-updated: Mon Feb  9 04:13:17 2009
Repo-pkgs   : 5,126
Repo-size   : 8.4 G
Repo-baseurl: https://sputnik-stage.brq.redhat.com/XMLRPC/GET-REQ/rhel-i386-server-5

Repo-id     : rhel-i386-server-supplementary-5
Repo-name   : RHEL Supplementary (v. 5 for 32-bit x86)
Repo-status : enabled
Repo-updated: Mon Feb  9 04:45:43 2009
Repo-pkgs   : 328
Repo-size   : 3.1 G
Repo-baseurl: https://sputnik-stage.brq.redhat.com/XMLRPC/GET-REQ/rhel-i386-server-supplementary-5

Repo-id     : rhel-i386-server-vt-5
Repo-name   : RHEL Virtualization (v. 5 for 32-bit x86)
Repo-status : enabled
Repo-updated: Mon Feb  9 04:45:55 2009
Repo-pkgs   : 145
Repo-size   : 178 M
Repo-baseurl: https://sputnik-stage.brq.redhat.com/XMLRPC/GET-REQ/rhel-i386-server-vt-5

Repo-id     : rhel-server
Repo-name   : RHEL-server
Repo-status : enabled
Repo-updated: Tue Jan  6 23:08:00 2009
Repo-pkgs   : 2,255
Repo-size   : 2.5 G
Repo-baseurl: file:///mnt/mirror/rhel/RHEL-5/U3/Server/i386/os/Server

Repo-id     : rhts
Repo-name   : Red Hat Test Suite - i386 - Base
Repo-status : enabled
Repo-updated: Tue Feb  3 18:41:17 2009
Repo-pkgs   : 109
Repo-size   : 28 M
Repo-baseurl: http://qafiler.bos.redhat.com/rhts/prod

Repo-id     : rhts-testing
Repo-name   : Red Hat Test Suite - i386 - Testing
Repo-status : enabled
Repo-updated: Fri Feb  6 01:47:35 2009
Repo-pkgs   : 109
Repo-size   : 32 M
Repo-baseurl: http://qafiler.bos.redhat.com/rhts/devel

Repo-id     : rpmforge
Repo-name   : Red Hat Enterprise 5Server - RPMforge.net - dag
Repo-status : enabled
Repo-updated: Mon Feb  9 07:09:08 2009
Repo-pkgs   : 8,325
Repo-size   : 4.8 G
Repo-mirrors: http://apt.sw.be/redhat/el5/en/mirrors-rpmforge

repolist: 20,854
Comment 4 Michal Nowak 2009-02-09 13:20:40 EST
I can also give you the .tbz2, but I guess 135 MB is too much for BZ.
Comment 5 Charlie Brady 2009-04-03 14:01:15 EDT
Same exception seen during "yum install openmotif22" on i686 CentOS:

http://bugs.centos.org/view.php?id=3481
Comment 6 Charlie Brady 2009-04-03 14:05:50 EDT
> Same exception seen during "yum install openmotif22" on i686 CentOS:

Exception does not occur after "yum clean metadata".
Comment 7 James Antill 2009-09-14 17:12:09 EDT

*** This bug has been marked as a duplicate of bug 491916 ***

Note You need to log in before you can comment on or make changes to this bug.